## twittering-mode 1.0.0+git20110327

=== Makefile ===

EMACS ?= emacs

DISTRIB_FILES = twittering-mode.el \
		README README.ja \
		NEWS NEWS.ja \
		INSTALL INSTALL.ja \
		win-curl \
		url-emacs21 \
		emacs21

.PHONY: all check clean update-po release release-upload

all:

update-po:
	$(MAKE) -C doc update-po

check:
	./test/run-test.sh -y

clean : 
	rm -f twittering-mode.elc README *.zip *.tar.gz

VERSION = $$(cat VERSION)
DISTRIB_DIR = twittering-mode-$(VERSION)

README: README.markdown
	cp $< $@
release: $(DISTRIB_FILES)
	@(! [ -z "$${SF_USERNAME}" ] || (echo "Environmental variable 'SF_USERNAME', which is a username of sf.net, is required."; false))
	@echo -n "wrote NEWS file? [y or n]: "; read ans; [ "$${ans}" = "y" ]
	@echo -n "What is next version number?: " && \
	  read version && \
	  (if [ "$${version}" != "$$(cat VERSION)" ]; then \
	     mv VERSION LAST-VERSION; \
	     echo $${version} > VERSION; \
	 fi) && \
	ruby misc/vernum-updater.rb \
	  --prev-version=$$(cat LAST-VERSION) --next-version=$$(cat VERSION) \
	  doc/web/index.text
	ruby misc/vernum-updater.rb \
	  --prev-version=HEAD --next-version=$$(cat VERSION) \
	  twittering-mode.el NEWS NEWS.ja
	@([ -d $(DISTRIB_DIR) ] && rm -rf $(DISTRIB_DIR)) || true
	mkdir $(DISTRIB_DIR)
	cp -r -t $(DISTRIB_DIR)/ $(DISTRIB_FILES)
	zip -r $(DISTRIB_DIR).zip $(addprefix $(DISTRIB_DIR)/,$(DISTRIB_FILES))
	tar czvf $(DISTRIB_DIR).tar.gz $(addprefix $(DISTRIB_DIR)/,$(DISTRIB_FILES))
	rm -rf $(DISTRIB_DIR)

release-upload: release
	(echo "cd /home/frs/project/t/tw/twmode/"; \
	 echo "-rm $(DISTRIB_DIR)/*"; \
	 echo "-rmdir $(DISTRIB_DIR)"; \
	 echo "mkdir $(DISTRIB_DIR)"; \
	 echo "cd $(DISTRIB_DIR)"; \
	 echo "put $(DISTRIB_DIR).zip"; \
	 echo "put $(DISTRIB_DIR).tar.gz") > upload.bat
	sftp -b upload.bat $${SF_USERNAME},twmode@web.sourceforge.net
	rm -f upload.bat

=== debian/changelog ===
twittering-mode (1.0.0+git20110327-1) unstable; urgency=low

  * Initial release (Closes: #593341)

 -- Takaya Yamashita <takaya@debian.or.jp>  Fri, 25 Feb 2011 21:55:56 +0900

=== debian/control ===
Source: twittering-mode
Section: lisp
Priority: extra
Maintainer: Takaya Yamashita <takaya@debian.or.jp>
Build-Depends: debhelper (>= 7.0.50~), texi2html
Standards-Version: 3.9.1
Homepage: http://twmode.sf.net/

Package: twittering-mode
Architecture: all
Depends: ${misc:Depends}, emacs | emacs23 | emacs-snapshot, curl | gnutls-bin | openssl
Description: a Twitter client for Emacs
 You can check friends timeline, and update your status on Emacs.
 .
 The feature of twittering-mode:
  * Activities on Twitter
    * Viewing various timelines
      * Friends' timeline
      * Replies
      * User's timeline
      * Public timeline
    * Posting tweets
      * Direct message
      * ReTweet
      * Hash tag
      * Signiture
    * Following and removing users
    * Marking tweets as favorites
  * HTTP Proxy support
  * Secure connection via HTTPS (cURL is required)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) README
	$(MAKE) -C doc/manual

override_dh_install:
	dh_install twittering-mode.el usr/share/emacs/site-lisp/twittering-mode/
	dh_install doc/manual/twmode*.html usr/share/doc/twittering-mode/html
	dh_install

override_dh_compress:
	dh_compress -X.html

# do nothing
override_dh_auto_configure override_dh_auto_test override_dh_auto_install:

## twittering-mode 2.0.0+git20110905

=== debian/changelog ===
twittering-mode (2.0.0+git20110905-1) unstable; urgency=low

  * New upstream release
  * debian/control: Update Standards-Version to 3.9.2.
  * debian/control: Fix litnain error: description-synopsis-starts-with-article.

 -- Takaya Yamashita <takaya@debian.or.jp>  Tue, 06 Sep 2011 23:09:12 +0900

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Takaya Yamashita <takaya@debian.or.jp>
 Build-Depends: debhelper (>= 7.0.50~), texi2html
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://twmode.sf.net/
 
 Package: twittering-mode
 Architecture: all
 Depends: ${misc:Depends}, emacs | emacs23 | emacs-snapshot, curl | gnutls-bin | openssl
-Description: a Twitter client for Emacs
+Description: Twitter client for Emacs
  You can check friends timeline, and update your status on Emacs.
  .
  The feature of twittering-mode:

## twittering-mode 2.0.0+git20120325

=== doc/manual/Makefile ===

.PHONY: all update-po clean

all: twmode/twmode.html

update-po:

twmode/twmode.html: twmode.texinfo
	texi2html --split chapter $<

clean:
	rm -rf twmode

=== debian/changelog ===
twittering-mode (2.0.0+git20120325-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Delete override_dh_install for install file.
  * debian/control: Update Standards-Version to 3.9.3.
  * debian/emacs-startup: Apply debian-pkg-add-load-path-item.
  * debian/copyright: 
    - Fix litnain error: comma-separated-files-in-dep5-copyright.

 -- Takaya Yamashita <takaya@debian.or.jp>  Sun, 25 Mar 2012 19:41:20 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Takaya Yamashita <takaya@debian.or.jp>
 Build-Depends: debhelper (>= 7.0.50~), texi2html
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://twmode.sf.net/
 
 Package: twittering-mode

## twittering-mode 3.0.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 		url-emacs21 \
 		emacs21
 
-.PHONY: all check clean update-po release release-upload
+.PHONY: all check clean update-po release release-upload upload
 
 all:
 
@@ -50,6 +50,9 @@
 	rm -rf $(DISTRIB_DIR)
 
 release-upload: release
+	make upload
+
+upload:
 	(echo "cd /home/frs/project/t/tw/twmode/"; \
 	 echo "-rm $(DISTRIB_DIR)/*"; \
 	 echo "-rmdir $(DISTRIB_DIR)"; \

=== doc/Makefile ===

.PHONY: all update-po

all:

update-po:
	$(MAKE) -C web update-po
	$(MAKE) -C manual update-po

=== doc/web/Makefile ===

CATALOGS := ja.po
LANGS := en ja
MARKDOWN_DOCS :=				\
	index.text				\
	how-to-contribute.text			\
	screenshot.text

PUBLISH := ./publish.rb
RM ?= rm -f
HTML_DOCS := $(subst .text,.html,$(MARKDOWN_DOCS))
HTML_ASSETS := style.css images

.PHONY: all clean upload update-po publish

.SUFFIXES: .text .html

all: publish

.text.html: $(PUBLISH) header.rhtml footer.rhtml
	$(PUBLISH) -H header.rhtml -F footer.rhtml \
	  -d lang=\"en\" -d langs="\"$(LANGS)\".split" -d file=\"$@\" \
	  -o $@ $<

upload: upload.bat
	@(! [ -z "$${SF_USERNAME}" ] || (echo "Environmental variable 'SF_USERNAME', which is a username of sf.net, is required."; false))
	sftp -b $< $${SF_USERNAME},twmode@web.sourceforge.net

upload.bat: $(HTML_DOCS) Makefile publish
	files=$$(find -name "*.html"; \
	         find -name "*.html.??"; \
	         find -name ".htaccess"; \
	         find -name "*.css"; \
	         find -name "*.png"; \
	         find -name "*.jpg"); \
	dirs=$$(echo $$files|xargs -n1 dirname|sort|uniq); \
	(echo "cd htdocs"; \
	 echo $$dirs | xargs -n 1 echo "-mkdir"; \
	 for file in $$files; do echo "put $${file} $${file}"; done) > $@

twmode.pot: $(HTML_DOCS)
	xml2po -k -o $@ $(HTML_DOCS)
	for catalog in $(CATALOGS); do \
	  [ -f $$catalog ] || cp $@ $$catalog; \
	done

update-po: twmode.pot Makefile
	for catalog in $(CATALOGS); do \
	  xml2po -k -m xhtml -u $$catalog $(HTML_DOCS); \
	done

publish: $(HTML_DOCS) $(CATALOGS)
	for catalog in $(CATALOGS); do \
	  lang=$$(echo $$catalog|sed 's/.po$$//'); \
	  [ -d $$lang ] || mkdir $$lang; \
	  cp -t $$lang -r $(HTML_ASSETS); \
	  for text in $(MARKDOWN_DOCS); do \
	    html=$$(echo $$text|sed 's/.text$$/.html/'); \
	    $(PUBLISH) -H header.rhtml -F footer.rhtml \
	      -d lang=\"$$lang\" -d langs="\"$(LANGS)\".split" \
	      -d file=\"$$html\" --po-file=$$catalog \
	      -o $$lang/$$html $$text; \
	  done; \
	done

clean:
	$(RM) *.html *.html upload.bat
	for catalog in $(CATALOGS); do \
	  lang=$$(echo $$catalog|sed 's/.po$$//'); \
	  $(RM) $$lang/*.html; \
	done

=== debian/changelog ===
twittering-mode (3.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: Update Standards-Version to 3.9.4.

 -- Hajime Mizuno <mizuno-as@ubuntu.com>  Tue, 25 Jun 2013 13:48:28 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: lisp
 Priority: extra
 Maintainer: Takaya Yamashita <takaya@debian.or.jp>
+Uploaders: Hajime Mizuno <mizuno-as@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), texi2html
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://twmode.sf.net/
 
 Package: twittering-mode

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,6 @@
 	$(MAKE) README
 	$(MAKE) -C doc/manual
 
-override_dh_install:
-	dh_install twittering-mode.el usr/share/emacs/site-lisp/twittering-mode/
-	dh_install doc/manual/twmode*.html usr/share/doc/twittering-mode/html
-	dh_install
-
 override_dh_compress:
 	dh_compress -X.html

=== debian/watch ===
version=3
http://sf.net/twmode/twittering-mode-(.*)\.tar\.gz

## twittering-mode 3.1.0

=== debian/changelog ===
twittering-mode (3.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/watch
    - update to version 4 and fix it (Closes: #862466)

 -- Hideki Yamane <henrich@debian.org>  Thu, 13 Jul 2017 19:40:07 +0900

twittering-mode (3.1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #813675)
  * debian/clean: Delete unnecessary files with the new upstream version.
  * debian/compat: Update debhelper to 9.
  * debian/control:
    - Update Standards-Version to 3.9.8.
    - Build-Depends: Update debhelper to 9.
    - Depends: Support various versions.
  * debian/copyright: Fixed lintian error.
  * debian/docs: Delete unnecessary files with the new upstream version.
  * debian/emacsen-compat: Comply to newer Emacs policy.
  * debian/emacsen-startup: Add Config for autoload (Closes: #668679)
  * debian/install: Delete unnecessary files with the new upstream version.
  * debian/rules: Delete unnecessary files with the new upstream version.

 -- Takaya Yamashita <takaya@debian.or.jp>  Sun, 25 Dec 2016 15:29:55 +0900

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: lisp
 Priority: extra
 Maintainer: Takaya Yamashita <takaya@debian.or.jp>
-Uploaders: Hajime Mizuno <mizuno-as@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), texi2html
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
 Homepage: http://twmode.sf.net/
 
 Package: twittering-mode
 Architecture: all
-Depends: ${misc:Depends}, emacs | emacs23 | emacs-snapshot, curl | gnutls-bin | openssl
+Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs | emacs25, curl | gnutls-bin | openssl
 Description: Twitter client for Emacs
  You can check friends timeline, and update your status on Emacs.
  .

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,5 @@
 %:
 	dh $@
 
-override_dh_auto_build:
-	$(MAKE) README
-	$(MAKE) -C doc/manual
-
-override_dh_compress:
-	dh_compress -X.html
-
 # do nothing
 override_dh_auto_configure override_dh_auto_test override_dh_auto_install:
